%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Devel-Cycle
Version:       1.11
Release:       1mamba
Summary:       Devel::Cycle - Find memory cycles in objects
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      gil <puntogil@libero.it>
URL:           http://www.cpan.org
Source:        http://search.cpan.org/CPAN/authors/id/L/LD/LDS/Devel-Cycle-%{version}.tar.gz
License:       GPL, Artistic
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(PadWalker)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
Requires:      perl >= %perl_major_ver
Requires:      perl(PadWalker)
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
This is a simple developer's tool for finding circular references in objects and other types of references.
Because of Perl's reference-count based memory management, circular references will cause memory leaks.

%prep
%setup -q -n Devel-Cycle-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{perl_vendorlib}/
%{_mandir}/man3/*.3pm.gz
%doc Changes README

%changelog
* Fri Feb 18 2011 gil <puntogil@libero.it> 1.11-1mamba
- package created by autospec
